summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2016-03-03 02:19:12 +0100
committerMichael Weber <xmw@gentoo.org>2016-03-11 15:50:24 +0100
commit615bea4553f2a8d7c7cb2a5650e280d1651ea5d3 (patch)
tree14a551f39129dcf64af936d7b01a8d39f57dd0d2 /dev-python/pyClamd
parentapp-arch/innoextract: don't apply patches twice (diff)
downloadgentoo-615bea4553f2a8d7c7cb2a5650e280d1651ea5d3.tar.gz
gentoo-615bea4553f2a8d7c7cb2a5650e280d1651ea5d3.tar.bz2
gentoo-615bea4553f2a8d7c7cb2a5650e280d1651ea5d3.zip
dev-python/pyClamd: Version bump.
Package-Manager: portage-2.2.27
Diffstat (limited to 'dev-python/pyClamd')
-rw-r--r--dev-python/pyClamd/Manifest1
-rw-r--r--dev-python/pyClamd/pyClamd-0.3.10.ebuild4
-rw-r--r--dev-python/pyClamd/pyClamd-0.3.17.ebuild26
3 files changed, 29 insertions, 2 deletions
diff --git a/dev-python/pyClamd/Manifest b/dev-python/pyClamd/Manifest
index 3cf9e391fbf..48ca1759b6d 100644
--- a/dev-python/pyClamd/Manifest
+++ b/dev-python/pyClamd/Manifest
@@ -1 +1,2 @@
DIST pyClamd-0.3.10.tar.gz 8929 SHA256 ed77743c32298b151c881cc52a211e188bd24203ae402f2640def858c6a2bca7 SHA512 2c895fbc5897646ad5c23445062fb2e34a2db070471afd8356796f5f458d90b0da824af58b8ba762ce49572acaee6981881169eb33231085dac82ff0169fa2c8 WHIRLPOOL fa9ba64ab721169373572e552450fcee96db0499a9eeb336763ed2ea9e6f24328aece3b46a2c04ba2a6706f8d6a047ea0ef96f1fe53a6ae4663be0980d9e9c43
+DIST pyClamd-0.3.17.tar.gz 10737 SHA256 9921a582c45baa34dabb357c548c5ed331b9a39334881b3a784b593680b07ba0 SHA512 52eda3f5b6612d47b803e6df8a49890167805dc39a30004f979dcd828b2717ebf7fe753ad0305ab3aad00aaaf750e9e862d43a504ccdb8f7df6faceae18da4a8 WHIRLPOOL 4e3f729f30ea65e0f57131087063405efe57b4b54b081cdb84eb9ccdfd77457f2ddb02d47e2ee79a68179eea27cfabfa3d700dd398f0dd21b4aa4663cbe051c4
diff --git a/dev-python/pyClamd/pyClamd-0.3.10.ebuild b/dev-python/pyClamd/pyClamd-0.3.10.ebuild
index 2f8fd3a2da6..21c14629daf 100644
--- a/dev-python/pyClamd/pyClamd-0.3.10.ebuild
+++ b/dev-python/pyClamd/pyClamd-0.3.10.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
inherit distutils-r1
diff --git a/dev-python/pyClamd/pyClamd-0.3.17.ebuild b/dev-python/pyClamd/pyClamd-0.3.17.ebuild
new file mode 100644
index 00000000000..21c14629daf
--- /dev/null
+++ b/dev-python/pyClamd/pyClamd-0.3.17.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="python interface to Clamd (Clamav daemon)"
+HOMEPAGE="http://xael.org/norman/python/pyclamd/"
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -e 's:/etc/clamav/clamd.conf:/etc/clamd.conf:' \
+ -i pyclamd/pyclamd.py || die
+}